use strict;
use Test::More tests => 1;
use DE_EPAGES::Core::API::Error qw( ExistsError GetError );
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::Database::API::Connection qw( ConnectTestSite DisconnectSite );
use DE_EPAGES::Object::API::Factory qw( LoadRootObject );
use DE_EPAGES::WebService::API::WebService::BaseService;

my $ROOTPATH = '/Test';

sub Main {
    ConnectTestSite();

    my $System = LoadRootObject();
    eval {
        DE_EPAGES::WebService::API::WebService::BaseService->soapAttributeValues( $System, ['dummy'] );
    };
    if( ExistsError() ) {
        like( GetError()->message, qr/^The attribute "dummy" does not exist in class "System"/, 'error message with class name' );
    }
    else {
        fail('no error for non-existing attribute');
    }

    DisconnectSite();
}


RunScript(Sub=>\&Main, Debug=>1);
